org.apache.hadoop.hdfs.server.namenode

## Class QuotaCounts

- java.lang.Object
- - org.apache.hadoop.hdfs.server.namenode.QuotaCounts

-     public class QuotaCounts
      extends Object

  Counters for namespace, storage space and storage type space quota and usage.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `QuotaCounts.Builder`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `QuotaCounts` | `add(QuotaCounts that)`
    `void` | `addNameSpace(long nsDelta)`
    `void` | `addStorageSpace(long dsDelta)`
    `void` | `addTypeSpace(org.apache.hadoop.fs.StorageType type, long delta)`
    `boolean` | `anyNsSsCountGreaterOrEqual(long val)`
    `boolean` | `anyTypeSpaceCountGreaterOrEqual(long val)`
    `boolean` | `equals(Object obj)`
    `long` | `getNameSpace()`
    `long` | `getStorageSpace()`
    `EnumCounters<org.apache.hadoop.fs.StorageType>` | `getTypeSpaces()`
    `int` | `hashCode()`
    `QuotaCounts` | `negation()` Returns a QuotaCounts whose value is `(-this)`.
    `void` | `setNameSpace(long nameSpaceCount)`
    `void` | `setStorageSpace(long spaceCount)`
    `QuotaCounts` | `subtract(QuotaCounts that)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### add

          public QuotaCounts add(QuotaCounts that)

    - #### subtract

          public QuotaCounts subtract(QuotaCounts that)

    - #### negation

          public QuotaCounts negation()

      Returns a QuotaCounts whose value is `(-this)`.
      Returns:
        `-this`

    - #### getNameSpace

          public long getNameSpace()

    - #### setNameSpace

          public void setNameSpace(long nameSpaceCount)

    - #### addNameSpace

          public void addNameSpace(long nsDelta)

    - #### getStorageSpace

          public long getStorageSpace()

    - #### setStorageSpace

          public void setStorageSpace(long spaceCount)

    - #### addStorageSpace

          public void addStorageSpace(long dsDelta)

    - #### getTypeSpaces

          public EnumCounters<org.apache.hadoop.fs.StorageType> getTypeSpaces()

    - #### addTypeSpace

          public void addTypeSpace(org.apache.hadoop.fs.StorageType type,
                                   long delta)

    - #### anyNsSsCountGreaterOrEqual

          public boolean anyNsSsCountGreaterOrEqual(long val)

    - #### anyTypeSpaceCountGreaterOrEqual

          public boolean anyTypeSpaceCountGreaterOrEqual(long val)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.